Subject: [IPP] Stable draft of IPP Finishings 2.1 posted for review

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Mon, 15 Aug 2016 20:08:53 +0000

Greetings,

Following the 2 weeks that the Prototype draft of Finishings 2.1 has been available, there have been no comments on it.  I have just posted a stable draft to the PWG FTP site in advance of next week's PWG F2F in Camas.  The stable draft is available here:

http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815.pdf <http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815.pdf> 
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815.docx <http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815.docx> 
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815-rev.pdf <http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815-rev.pdf> 
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815-rev.docx <http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815-rev.docx> 

This draft should be suitable for an IPP WG  Working Group Last Call.

Smith

/**
    Smith Kennedy
    Wireless Architect - Client Software - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Fri, 26 Aug 2016 21:33:17 +0000

Greetings,

In some discussions I have had within HP, I wanted to get some certainty about the orientation of "Portrait" in a long-edge feed scenario.  Figure 3 of the draft below shows the leading edge to be on the left side of the page. But when I went back to look at my earlier presentations where we were looking at Finishings 2.1 and feed orientation, the way that the pages were being shown would have had the leading edge be on the right edge of the page.

I posted a slide deck to the PWG FTP site:

http://ftp.pwg.org/pub/pwg/ipp/wd/Finishings-2.1-Page-Orientation-and-Page-Leading-Edge-2016-08-26.pdf <http://ftp.pwg.org/pub/pwg/ipp/wd/Finishings-2.1-Page-Orientation-and-Page-Leading-Edge-2016-08-26.pdf>

to try to illustrate the issue.  The basic question is: does a long-edge feed document get printed so that the right edge of the page is the leading edge, or does Finishings 2.1 define the left edge of the page to be the leading edge?

Thanks for any input,

Smith

/**
    Smith Kennedy

> On 2016-08-15, at 2:08 PM, Kennedy, Smith (Wireless Architect) <[email-masked]> wrote:
> 
> Greetings,
>

---

From: "Zehler, Peter" <[email-masked]>
Date: Mon, 29 Aug 2016 13:39:40 +0000

All,
I would hope in your discussions that the definition of the PWG/IPP coordinate system in IPP Finishings 2.1 (section 5.2), RFC2911 (section (4.2.10), PWG 5100.3 (section 2.4), PWG 5108.01 (Section 2.5) and other places I'm sure.  There seems to be a disconnect (i.e., disagreement on coordinate system root) between the Semantic Model and IPP that should be addressed.

When it comes to finishing it has been my understanding that

1)      The End User would express their intent (read that in the UI) based on WISYWIG or based on document content and intended media layout.

2)      The IPP Client software would represent the End User intent in IPP as though the desired output is in the portrait orientation.  IPP assumes text is laid out from left to right and top to bottom regardless of the content.  The result is a normalized coordinate system on the wire.

3)      The IPP Printer software would process the normalized End User intent and make the necessary modifications based on device configuration.  The modified End User intent and/or document data is passed onto the interpreter/marker/finisher for document production.
The necessary "impedance matching" between the end user and IPP, and between IPP and the physical printer, is handled in the IPP Client and IPP Printer software respectively.
Pete

Peter Zehler
Xerox Corp.
Global Development Group
800 Phillips Rd, 111-04A
Webster NY, 14580-9701
Email: [email-masked]<mailto:[email-masked]>
Office: +1 (585) 265-8755<tel:%2B1%20%28585%29%20265-8755>
Fax: +1 (585) 422-0238<tel:%2B1%20%28585%29%20265-8755>
Mobile: +1 (585) 329-9508<tel:%2B1%20%28585%29%20329-9508>

From: ipp [mailto:[email-masked]] On Behalf Of Kennedy, Smith (Wireless Architect)
Sent: Friday, August 26, 2016 5:33 PM
To: [email-masked]
Subject: Re: [IPP] Stable draft of IPP Finishings 2.1 posted for review

Greetings,

http://ftp.pwg.org/pub/pwg/ipp/wd/Finishings-2.1-Page-Orientation-and-Page-Leading-Edge-2016-08-26.pdf

Thanks for any input,

Smith

/**
    Smith Kennedy

On 2016-08-15, at 2:08 PM, Kennedy, Smith (Wireless Architect) <[email-masked]<mailto:[email-masked]>> wrote:

Greetings,

http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815.pdf
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815.docx
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815-rev.pdf
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings21-20160815-rev.docx

Smith

/**
    Smith Kennedy

_______________________________________________
ipp mailing list
[email-masked]<mailto:[email-masked]>
https://www.pwg.org/mailman/listinfo/ipp